﻿using QQPlus.Framework.SDK;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace QQPlus.Qianfu
{
    public class QianfuConfig : PluginConfig
    {
        /// <summary>
        /// 新人
        /// </summary>
        public bool JoinCluster { get; set; }

        /// <summary>
        /// 退群、被踢
        /// </summary>
        public bool ExitCluster { get; set; }
        /// <summary>
        /// 全部聊天内容
        /// </summary>
        public bool AllMessage { get; set; }
        /// <summary>
        /// 关键字，正则表达式
        /// </summary>
        public bool Key { get; set; }

        /// <summary>
        /// 监控聊天内容的正则表达式
        /// </summary>
        public string Pattern { get; set; }

        public QianfuConfig()
        {
        }
    }
}
