﻿using QQPlus.Framework.SDK;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace QQPlus.OldWebPlugin
{
    public partial class FormMain : Form
    {
        public FormMain(WebConfig config)
        {
            InitializeComponent();
            this.config = config;
        }

        WebConfig config = null;
        private void btnSave_Click(object sender, EventArgs e)
        {
            config.Url = txtUrl.Text.Trim();
            config.Encode = cmbEncode.Text;
            config.Key = txtKey.Text;
            config.Sleep = (int)numericUpDown1.Value;
            config.Save();
            Close();
        }

        private void FormMain_Load(object sender, EventArgs e)
        {
            txtUrl.Text = config.Url;
            cmbEncode.Text = config.Encode;
            txtKey.Text = config.Key;
            numericUpDown1.Value = config.Sleep;
        }
    }
}
