﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace QQPlus.Org
{
    public partial class Form1 : Form
    {
        string file = null;
        OrgConfig config = null;
        public Form1(string file, OrgConfig config)
        {
            this.file = file;
            this.config = config;
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            textBox1.Text = File.ReadAllText(file, Encoding.Default);
            numericUpDown1.Value = config.Sleep;
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            File.WriteAllText(file, textBox1.Text.Trim(), Encoding.Default);
            config.Sleep = (int)numericUpDown1.Value;
            config.Save();
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}
