﻿using QQPlus.Framework.Utils;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace QQPlus.Qianfu
{
    public partial class FormMain : QQPlus.Forms.FormBase
    {
        QianfuPlugin plugin = null;
        QianfuConfig config = null;
        public FormMain(QianfuPlugin plugin)
        {
            this.plugin = plugin;
            this.config = plugin.config;
            InitializeComponent();
        }

        private void FormMain_Load(object sender, EventArgs e)
        {
            chkAllMessage.Checked = config.AllMessage;
            chkJoinCluster.Checked = config.JoinCluster;
            chkExitCluster.Checked = config.ExitCluster;
            chkKey.Checked = config.Key;
            txtPattern.Text = config.Pattern;
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            config.AllMessage = chkAllMessage.Checked;
            config.JoinCluster = chkJoinCluster.Checked;
            config.ExitCluster = chkExitCluster.Checked;
            config.Key = chkKey.Checked;
            config.Pattern = txtPattern.Text;
            config.Save();
            Close();
        }
    }
}
